org.jfree.chart.renderer

## Interface PaintScale

All Known Implementing Classes:
  GrayPaintScale, LookupPaintScale

    public interface PaintScale

A source for `Paint` instances, used by the `XYBlockRenderer`.
NOTE: Classes that implement this interface should also implement `PublicCloneable` and `Serializable`, so that any renderer (or other object instance) that references an instance of this interface can still be cloned or serialized.

Since:
  1.0.4

### Method Summary

Methods
`double` `getLowerBound()` Returns the lower bound for the scale.
`java.awt.Paint` `getPaint(double value)` Returns a `Paint` instance for the specified value.
`double` `getUpperBound()` Returns the upper bound for the scale.

### Method Detail

#### getLowerBound

    double getLowerBound()

Returns the lower bound for the scale.

Returns:
  The lower bound.
See Also:
  `getUpperBound()`

#### getUpperBound

    double getUpperBound()

Returns the upper bound for the scale.

Returns:
  The upper bound.
See Also:
  `getLowerBound()`

#### getPaint

    java.awt.Paint getPaint(double value)

Returns a `Paint` instance for the specified value.

Parameters:
  `value` - the value.
Returns:
  A `Paint` instance (never `null`).